FruxonDocs
ApiChatuseraccessrequest

Approves an access request and activates the chat user.

POST
/v1/tenants/{tenant}/agents/{agent}/chatUserAccessRequests/{accessRequest}:approve

Path Parameters

agent*string

The agent identifier

accessRequest*string

The access request ID.

Formatuuid
tenant*string

The tenant identifier

Optional note about the approval.

note?string|null

Optional note explaining the decision.

[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/chatUserAccessRequests/497f6eca-6276-4993-bfeb-53cbbbba6f08:approve" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "provider": "string",
  "identifier": "string",
  "userName": "string",
  "agentId": "string",
  "connectorId": "00000000-0000-0000-0000-000000000000",
  "conversationName": "string",
  "status": "Pending",
  "processedBy": "string",
  "processedAt": 0,
  "processingNote": "string",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}